using System;
using System.Data;
using System.Collections.Generic;
using DotNet.FrameWork.Data;
using HaTeam.Dd.Model;
namespace HaTeam.Dd.BLL
{
	/// <summary>
	/// Dd_Music
	/// </summary>
	public partial class Dd_Music
	{
		private readonly HaTeam.Dd.DAL.Dd_Music dal=new HaTeam.Dd.DAL.Dd_Music();
		public Dd_Music()
		{}
		#region  Method

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
			return dal.GetMaxId();
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int Music_ID)
		{
			return dal.Exists(Music_ID);
		}

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int  Add(HaTeam.Dd.Model.Dd_Music model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HaTeam.Dd.Model.Dd_Music model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int Music_ID)
		{
			
			return dal.Delete(Music_ID);
		}
		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool DeleteList(string Music_IDlist )
		{
			return dal.DeleteList(Music_IDlist );
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HaTeam.Dd.Model.Dd_Music GetModel(int Music_ID)
		{
			
			return dal.GetModel(Music_ID);
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
		public HaTeam.Dd.Model.Dd_Music GetModelByCache(int Music_ID)
		{
			
			string CacheKey = "Dd_MusicModel-" + Music_ID;
			object objModel = DataCache.GetCache(CacheKey);
			if (objModel == null)
			{
				try
				{
					objModel = dal.GetModel(Music_ID);
					if (objModel != null)
					{
						int ModelCache = ConfigHelper.GetConfigInt("ModelCache");
						DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
					}
				}
				catch{}
			}
			return (HaTeam.Dd.Model.Dd_Music)objModel;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HaTeam.Dd.Model.Dd_Music> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HaTeam.Dd.Model.Dd_Music> DataTableToList(DataTable dt)
		{
			List<HaTeam.Dd.Model.Dd_Music> modelList = new List<HaTeam.Dd.Model.Dd_Music>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				HaTeam.Dd.Model.Dd_Music model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new HaTeam.Dd.Model.Dd_Music();
					if(dt.Rows[n]["Music_ID"].ToString()!="")
					{
						model.Music_ID=int.Parse(dt.Rows[n]["Music_ID"].ToString());
					}
					if(dt.Rows[n]["User_ID"].ToString()!="")
					{
						model.User_ID=int.Parse(dt.Rows[n]["User_ID"].ToString());
					}
					model.Music_Address=dt.Rows[n]["Music_Address"].ToString();
					model.Music_Description=dt.Rows[n]["Music_Description"].ToString();
					model.Music_Tag=dt.Rows[n]["Music_Tag"].ToString();
					if(dt.Rows[n]["Music_OriginId"].ToString()!="")
					{
						model.Music_OriginId=int.Parse(dt.Rows[n]["Music_OriginId"].ToString());
					}
					if(dt.Rows[n]["Music_PublishMode"].ToString()!="")
					{
						model.Music_PublishMode=int.Parse(dt.Rows[n]["Music_PublishMode"].ToString());
					}
					if(dt.Rows[n]["Music_PutTop"].ToString()!="")
					{
						if((dt.Rows[n]["Music_PutTop"].ToString()=="1")||(dt.Rows[n]["Music_PutTop"].ToString().ToLower()=="true"))
						{
						model.Music_PutTop=true;
						}
						else
						{
							model.Music_PutTop=false;
						}
					}
					if(dt.Rows[n]["Music_Fever"].ToString()!="")
					{
						model.Music_Fever=int.Parse(dt.Rows[n]["Music_Fever"].ToString());
					}
					model.Music_Guid=dt.Rows[n]["Music_Guid"].ToString();
					if(dt.Rows[n]["Music_Datetime"].ToString()!="")
					{
						model.Music_Datetime=DateTime.Parse(dt.Rows[n]["Music_Datetime"].ToString());
					}
					if(dt.Rows[n]["Music_UpDatetime"].ToString()!="")
					{
						model.Music_UpDatetime=DateTime.Parse(dt.Rows[n]["Music_UpDatetime"].ToString());
					}
					if(dt.Rows[n]["Music_Verify"].ToString()!="")
					{
						model.Music_Verify=int.Parse(dt.Rows[n]["Music_Verify"].ToString());
					}
					if(dt.Rows[n]["Music_Lock"].ToString()!="")
					{
						model.Music_Lock=int.Parse(dt.Rows[n]["Music_Lock"].ToString());
					}
					if(dt.Rows[n]["Music_State"].ToString()!="")
					{
						model.Music_State=int.Parse(dt.Rows[n]["Music_State"].ToString());
					}
					if(dt.Rows[n]["Music_Delete"].ToString()!="")
					{
						model.Music_Delete=int.Parse(dt.Rows[n]["Music_Delete"].ToString());
					}
					if(dt.Rows[n]["Music_Count"].ToString()!="")
					{
						model.Music_Count=int.Parse(dt.Rows[n]["Music_Count"].ToString());
					}
					if(dt.Rows[n]["Music_Order"].ToString()!="")
					{
						model.Music_Order=int.Parse(dt.Rows[n]["Music_Order"].ToString());
					}
					model.Music_Remark=dt.Rows[n]["Music_Remark"].ToString();
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

